rte_pipeline_table_params(3)

NAME
rte_pipeline_table_params

SYNOPSIS

#include <rte_pipeline.h>

  Data Fields

struct rte_table_ops * ops
void * arg_create
rte_pipeline_table_action_handler_hit f_action_hit
rte_pipeline_table_action_handler_miss f_action_miss
void * arg_ah
uint32_t action_data_size

Detailed Description

Parameters for pipeline table creation. Action handlers have to be either both enabled or both disabled (they can be disabled by setting them to NULL).

Definition at line 301 of file rte_pipeline.h.

Field Documentation

  struct rte_table_ops* ops
Table operations (specific to each table type)

Definition at line 303 of file rte_pipeline.h.

  void* arg_create
Opaque param to be passed to the table create operation when invoked

Definition at line 306 of file rte_pipeline.h.

  rte_pipeline_table_action_handler_hit f_action_hit
Callback function to execute the user actions on input packets in case of lookup hit

Definition at line 309 of file rte_pipeline.h.

  rte_pipeline_table_action_handler_miss f_action_miss
Callback function to execute the user actions on input packets in case of lookup miss

Definition at line 312 of file rte_pipeline.h.

  void* arg_ah
Opaque parameter to be passed to lookup hit and/or lookup miss action handlers when invoked

Definition at line 316 of file rte_pipeline.h.

  uint32_t action_data_size
Memory size to be reserved per table entry for storing the user actions and their meta-data

Definition at line 319 of file rte_pipeline.h.

Author

Generated automatically by Doxygen for DPDK from the source code.